Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157253 - Commands that depend upon the NSCD socket being available hang.
Summary: Commands that depend upon the NSCD socket being available hang.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nss_ldap
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 20:28 UTC by Michael Tonn
Modified: 2018-10-19 20:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:02:39 UTC


Attachments (Terms of Use)

Description Michael Tonn 2005-05-09 20:28:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
All of our servers are experiencing system hangs from time to time.  They are all using LDAP authentication.  When the condition occurs, any command that relies on the availability of the nscd socket hangs.  Invoking any of these commands with strace shows that they are waiting for a free socket.  Also, "netstat -a" shows 6 active sockets are in use.  I tried increasing the trhead count to 20, but the magic number stays at 6.  Disabling or recycling nscd always clears up the problem.

Version-Release number of selected component (if applicable):
kernel-2.4.21-27.ELsmp nss_ldap-207-15

How reproducible:
Always

Steps to Reproduce:

  

Additional info:

Comment 31 RHEL Product and Program Management 2007-10-19 19:02:39 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.